Package org.eclipse.rdf4j.query.parser.sparql

## Class TripleRefCollector

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor<RuntimeException>
  - - org.eclipse.rdf4j.query.parser.sparql.TripleRefCollector

- All Implemented Interfaces:
    `QueryModelVisitor<RuntimeException>`

      public class TripleRefCollector
      extends AbstractQueryModelVisitor<RuntimeException>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TripleRefCollector()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Map<String,​Object>` | `getTripleRefs()` |
    `void` | `meet​(Filter node)` |
    `void` | `meet​(TripleRef node)` |
    `void` | `meet​(ValueExprTripleRef node)` |
    `void` | `meetOther​(QueryModelNode node)` |
    `static Map<String,​Object>` | `process​(QueryModelNode node)` |

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor

      `meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meetBinaryTupleOperator, meetBinaryValueOperator, meetCompareSubQueryValueOperator, meetNAryValueOperator, meetNode, meetSubQueryValueOperator, meetUnaryTupleOperator, meetUnaryValueOperator, meetUpdateExpr`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TripleRefCollector

          public TripleRefCollector()

  - ### Method Detail

    - #### process

          public static Map<String,​Object> process​(QueryModelNode node)

    - #### getTripleRefs

          public Map<String,​Object> getTripleRefs()

    - #### meet

          public void meet​(Filter node)

      Specified by:
        `meet` in interface `QueryModelVisitor<RuntimeException>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<RuntimeException>`

    - #### meet

          public void meet​(TripleRef node)

      Specified by:
        `meet` in interface `QueryModelVisitor<RuntimeException>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<RuntimeException>`

    - #### meet

          public void meet​(ValueExprTripleRef node)

      Specified by:
        `meet` in interface `QueryModelVisitor<RuntimeException>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<RuntimeException>`

    - #### meetOther

          public void meetOther​(QueryModelNode node)

      Specified by:
        `meetOther` in interface `QueryModelVisitor<RuntimeException>`
      Overrides:
        `meetOther` in class `AbstractQueryModelVisitor<RuntimeException>`